> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pyannote.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stream Status



## OpenAPI

````yaml GET /v1/live/{id}
openapi: 3.0.0
info:
  title: pyannoteAI API
  description: ''
  version: local
  contact: {}
  termsOfService: https://pyannote.ai/terms-of-use
servers:
  - url: https://api.pyannote.ai
security: []
tags: []
externalDocs:
  description: pyannoteAI Docs
  url: https://docs.pyannote.ai/
paths:
  /v1/live/{id}:
    get:
      tags:
        - Streaming
      summary: Get a live stream by ID
      operationId: getStream
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Stream'
        '402':
          description: Subscription is required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - api-key: []
components:
  schemas:
    Stream:
      type: object
      properties:
        id:
          type: string
        status:
          description: Status of the stream
          example: created
          allOf:
            - $ref: '#/components/schemas/StreamStatus'
        startedAt:
          format: date-time
          type: string
          nullable: true
        completedAt:
          format: date-time
          type: string
          nullable: true
        input:
          $ref: '#/components/schemas/CreateStream'
      required:
        - id
        - startedAt
        - completedAt
        - input
    ApiError:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID
          example: 37a4c3a0-b034-4e8c-9ed9-76da6645544a
        message:
          type: string
          description: Error message
          example: Error message
      required:
        - requestId
        - message
    StreamStatus:
      type: string
      enum:
        - created
        - running
        - done
        - error
      description: Status of the stream
    CreateStream:
      type: object
      properties: {}
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http

````